catkin : 依赖: python-catkin-pkg 但是它将不会被安装


#1

情况是这样的,我建立一个文件,然后输入catkin_make,系统提示我找不到这个命令,然后,我输入sudo apt-get install catkin
然后 他就是提示我
catkin : 依赖: python-catkin-pkg 但是它将不会被安装

这个该怎么办呢?


#2

1: 首先你应该确认一下自己的ROS是否安装成功:

输入:roscore进行测试

2:如果ROS安装成功,是不是没有source bash文件

输入:source source /opt/ros/kinetic/setup.bash

3: 安装catkin包的命令为;

输入:

sudo apt-get install ros-%ROSDISTRO%-catkin
sudo apt-get install ros-kinetic-catkin        (example for ROS kinetic)

#3

另外,系统自带的 catkin 并不是最新的。

最好的方法是按照上面 @anchuanxu 的建议,或者 ROS wiki 上的安装过程去安装。